"""A guessing game

   Pick a random number between 1 and 10
   and ask someone to guess what it is.
   """

import random


class GuessingGame:
    """A simple guessing game."""

    def __init__(self, start=1, end=10):
        self._start = start
        self._end = end
        self._secret_number = self.pick()

    def pick(self):
        """Pick a random numner."""
        i = random.randint(self._start, self._end)
        return i

    def ask(self):
        """Ask the user to guess a number.

           May raise a ValueError on invalid input.
           """
        answer = input("Pick a number from %d to %d: "
                       % (self._start, self._end))
        i = int(answer)
        return i

    def play(self):
        """Play the game."""
        while True:
            try:
                answer = self.ask()
            except ValueError:
                print("You gave up in frustration!")
                break
            if answer == self._secret_number:
                print("Awesome!")
                break
            else:
                print("Wrong, guess again.")


